Loading...
Searching...
No Matches
pqxx::field_streambuf< CHAR, TRAITS > Class Template Reference
Inheritance diagram for pqxx::field_streambuf< CHAR, TRAITS >:
[legend]
Collaboration diagram for pqxx::field_streambuf< CHAR, TRAITS >:
[legend]

## Public Types

using | char_type = CHAR
using | traits_type = TRAITS
using | int_type = typename traits_type::int_type
using | pos_type = typename traits_type::pos_type
using | off_type = typename traits_type::off_type
using | openmode = std::ios::openmode
using | seekdir = std::ios::seekdir

## Public Member Functions

| field_streambuf (field const &f)

## Protected Member Functions

virtual int | sync () override
virtual pos_type | seekoff (off_type, seekdir, openmode) override
virtual pos_type | seekpos (pos_type, openmode) override
virtual int_type | overflow (int_type) override
virtual int_type | underflow () override

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/field.hxx